# FairMQ: fair::mq::sdk::cmd::Properties Struct Reference

fair::mq::sdk::cmd::Properties Struct Reference
Inheritance diagram for fair::mq::sdk::cmd::Properties:
[legend]
Collaboration diagram for fair::mq::sdk::cmd::Properties:
[legend]

## Public Member Functions

| Properties (std::string deviceId, std::size_t requestId, const Result result, std::vector< std::pair< std::string, std::string >> properties)
auto | GetDeviceId () const -> std::string
auto | SetDeviceId (std::string deviceId) -> void
auto | GetRequestId () const -> std::size_t
auto | SetRequestId (std::size_t requestId) -> void
auto | GetResult () const -> Result
auto | SetResult (Result result) -> void
auto | GetProps () const -> std::vector< std::pair< std::string, std::string >>
auto | SetProps (std::vector< std::pair< std::string, std::string >> properties) -> void
Public Member Functions inherited from fair::mq::sdk::cmd::Cmd
| Cmd (const Type type)
Type | GetType () const

The documentation for this struct was generated from the following file:

- fairmq/sdk/commands/Commands.h

privacy